Bug 5889 - Allow message names to be translatable
Summary: Allow message names to be translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 5646
  Show dependency treegraph
 
Reported: 2011-03-17 09:39 UTC by Julian Maurice
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (7.41 KB, patch)
2011-03-17 09:45 UTC, Julian Maurice
Details | Diff | Splinter Review
Patch for 3.2.x (7.53 KB, patch)
2011-03-23 11:08 UTC, Julian Maurice
Details | Diff | Splinter Review
proposed patch fixing variable names in multiple sample files (4.73 KB, patch)
2011-04-25 17:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed off patch (4.75 KB, patch)
2011-05-12 23:30 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2011-03-17 09:39:41 UTC
Actually, message names are not translatable.
Will submit a patch that makes it possible.
Comment 1 Julian Maurice 2011-03-17 09:45:01 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-03-17 20:28:31 UTC
Pushed please test

NOTE: Please remember to set the statuses, it means it's far less likely for me to miss seeing a patch ready to be tested and merged
Comment 3 Julian Maurice 2011-03-23 11:08:15 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2011-04-25 17:33:33 UTC
Some of the trnaslat
Comment 5 Katrin Fischer 2011-04-25 17:34:37 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2011-05-12 23:30:22 UTC Comment hidden (obsolete)
Comment 7 Paul Poulain 2011-08-09 14:36:39 UTC
QA comment:

Katrin/chris, I made some tests without this patch, my database contains Item_DUE in message_name column and can't see what is not working. Could you give more details ?

+ patch does not apply anymore
Auto-merging installer/data/mysql/it-IT/necessari/sample_notices_message_attributes.sql
CONFLICT (content): Merge conflict in installer/data/mysql/it-IT/necessari/sample_notices_message_attributes.sql
Comment 8 Katrin Fischer 2011-08-09 14:48:27 UTC
Hi Paul, 

first of all consistency is a good reason - the message names should be the same everywhere and in all files.

The second was display problems - I am not sure if something has changed here. In some places the name showed as Unknown because there was a case sensitive check for the message name.

I am not totally sure now where this occured, places to check are:

- patron categories: page and edit screen
- patron X > details tab: page and edit screen
- patron X's OPAC account > messaging tab
Comment 9 Paul Poulain 2011-08-30 14:57:43 UTC
katrin, thanks, I understand now.

Marking does not apply, as it does not apply anymore
Comment 10 Katrin Fischer 2012-04-01 08:12:05 UTC
Last patch is no longer needed as this is fixed in current master.